#include <stdio.h>

using namespace std;

int main() {
    int n, m;
    char m[10][10];
    
    scanf("%d %d", &n, &m);
    for(int i = 0; i < n; i++)
        for(int j = 0; j < m; j++) scanf("%c", &m[i][j]);
    printf("-1");
    return 0;
}